@charset "UTF-8";

p {
    line-height: 1.7;
    font-size: 18px;
    margin-bottom: 20px;
    text-align: left;
}

#dice {
    font-size: 48px;
    margin: 20px;
}

button {
    margin: 10px;
}

#dice,
button {
    margin: 0 auto;
    /* 要素を中央寄せ */
    display: block;
    /* ブロックレベル要素として表示 */
}

table {
    margin: 0 auto;
    /* 要素を中央寄せ */
    margin-top: 20px;
    border-collapse: collapse;
    width: 100%;
    /* テーブルの幅を広げる */
    max-width: 600px;
    /* 最大幅を設定 */
    overflow-x: auto;
    /* 必要に応じて横スクロールバーを表示 */
    margin-bottom: 20px;
    /* テーブル下のマージン */
    text-align: center;
}

th,
td {
    border: 1px solid black;
    padding: 15px 10px;
    /* セルのパディングを増やす */
}

th {
    text-align: center;
}

td {
    text-align: right;
}

@media screen and (max-width: 600px) {
    table {
        width: 100%;
        /* スマホ表示時はテーブルの幅を画面幅いっぱいに */
    }
}

#totalRolls {
    text-align: center;
    margin-bottom: 20px;
}

#reset {
    margin-bottom: 30px;
}

@keyframes rollDiceAnimation {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.dice-container {
    width: 100px;
    height: 100px;
    margin: 10px auto;
}

.dice-rolling {
    animation: rollDiceAnimation 1s linear;
}

.menubox-frame {
    display: none;
}

@media screen and (max-width:1180px) {

    .header-inner {
        overflow: hidden;
    }

    .logobox-menu {
        width: 50%;
        float: left;
        position: inherit;
    }

    .menubox-frame {
        display: inline;
        width: 50%;
        float: right;
        position: inherit;
    }

    .menubox-frame ul li {
        text-align: right;
    }

    .menubox-frame ul li a {
        line-height: 60px;
        text-decoration: none;
        color: #000000;
        font-size: 14px;
        text-align: right;
        padding: 0 4px;
    }
}

@media screen and (max-width: 992px) {
    .responsive-img {
        width: inherit;
    }
}

@media screen and (max-width: 768px) {
    .site-title {
        width: 180px;
    }

    .tool-box li {
        width: 50%;
        float: left;
        list-style: none;
        text-align: center;
        padding: 8px;
        box-sizing: border-box;
    }
}